/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Turno;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTurno implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Turno turno = (Turno) o;

        Listcell lc = new Listcell(turno.getTurnoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(turno.getDescturno());
        lc.setParent(lstm);

        lstm.setAttribute("data", turno);
    }
}
